<div class="dune-cc">
  <div class="cc-border left"></div><div class="cc-border right"></div>
<form class="{{cssClass}} dune flexcol" autocomplete="off">
  {{!-- Sheet Header --}}
  <header class="sheet-header flexrow">
    <div class="cc-top"></div>
    <img class="profile" src="{{actor.img}}" title="{{actor.name}}" data-edit="img"/>
    <section class="header-details flexrow">
      <h1 class="charname">
        <input name="name" type="text" value="{{actor.name}}" placeholder="{{ localize 'DUNE.Name' }}"/>
      </h1>
    </section>
    {{#if editable}}
    <span class="soft-lock"
	  title="{{#if actor.system.softLock}}{{ localize 'DUNE.unlock' }}{{else}}{{ localize 'DUNE.lock' }}{{/if}}"
	  ><i class="fas fa-lock{{#unless actor.system.softLock}}-open{{/unless}}"></i></span>
    {{/if}}
  </header>
  
  {{!-- NPC Sheet Navigation --}}
  <nav class="sheet-tabs sheet-navigation tabs" data-group="primary">
    <a class="item active" data-tab="main">{{ localize "DUNE.Sheet" }}</a>
    <a class="item" data-tab="biography">{{ localize "DUNE.Biography" }}</a>
  </nav>

  {{!-- Sheet Body --}}
  <section class="sheet-body">
    <div class="tab main" data-group="primary" data-tab="main">
      <div class="background">
	<div class="flexrow">
	  <div class="flexcol">
	    <h2 class="section-title">{{ localize "DUNE.Background" }}</h2>
	    <div class="flexrow">
	      <label for="House" class="flex1">{{ localize "DUNE.House" }}</label>
	      <input name="system.House" class="flex3" type="text" value="{{actor.system.House}}"/>
	    </div>
	    <div class="flexrow">
	      <label for="Role" class="flex1">{{ localize "DUNE.Role" }}</label>
	      <input name="system.Role" class="flex3" type="text" value="{{actor.system.Role}}"/>
	    </div>
	    <div class="flexrow">
	      <label for="Faction" class="flex1">{{ localize "DUNE.Faction" }}</label>
	      <input name="system.Faction" class="flex3" type="text" value="{{actor.system.Faction}}"/>
	    </div>
	    <div class="flexrow">
	      <label for="Ambition" class="flex1">{{ localize "DUNE.Ambition" }}</label>
	      <input name="system.Ambition" class="flex3" type="text" value="{{actor.system.Ambition}}"/>
	    </div>
	  </div>
	  <div class="traits second">
	    <h2>{{ localize "DUNE.Traits" }}
	      <span class="btn add-trait"><i class="fas fa-plus"></i></span>
	    </h2>
	    {{#each actor.items }}
	    {{#if (eq type "trait")}}
	    {{> "systems/dune/templates/part/trait.html" id=id data=actor.system name=name }}{{!-- { --}}
	    {{/if}}
	    {{/each}}
	  </div>
	</div>
      </div>
      <div class="flexrow">
	<div class="drives flexcol">
	  <ul class="ability-scores">
	    <div class="flexrow">
	      <h2 class="flex3">{{ localize "DUNE.Drive" }}</h2>
	      <h2 class="flex3">{{ localize "DUNE.Statement" }}</h2>
	    </div>
		{{log 'data' data}}
	    {{#each actor.system.Drives as |drive id|}}
	    <li class="ability flexrow" data-ability="{{id}}">
	      <label for="drive-{{id}}" class="flex2">{{localize (concat "DUNE.drives." id)}}</label>
	      <input class="ability-score flex1" name="system.Drives.{{id}}.value"
		     type="number" value="{{drive.value}}" placeholder="4"/>
	      <input name="system.Drives.{{id}}.statement" class="flex3" type="text" value="{{drive.statement}}"
		     placeholder="{{localize 'DUNE.no_statement'}}" autocomplete="nope"/>
	    </li>
	    {{/each}}
	  </ul>
	</div>
	<div class="talents second">
	  <h2>{{ localize "DUNE.Talents" }}</h2>
	  <ul>
	    {{#unless talentCount}}
	    <span class="hint">{{localize 'DUNE.drag_talents'}}</span>
	    {{/unless}}
	    {{#each actor.items }}
	    {{#if (eq type "talent")}}
	    <li class="talent">
	      <div class="flexrow">
		      <b data-toggle="#talent-{{id}}">{{name}}<span
             data-toggle="#talent-{{id}}" class="no-b">{{#if system.forSkill}}
		  ({{#if system.skill}}{{
		  localize (concat 'DUNE.' (lower system.skill))}}{{
		  else}}{{
		  localize 'DUNE.items.choose'}}{{/if}}){{/if}}{{#if system.forDrive}}
		  ({{#if system.drive}}{{
		  localize (concat 'DUNE.' (lower system.drive))}}{{
		  else}}{{
		  localize 'DUNE.items.choose'}}{{/if}}){{/if}}</span></b>
		<span class="player-note">{{ actor.system.note }}</span>
		<button data="{{id}}" class="edit"><span class="fas fa-edit"></span></button>
		<button data="{{id}}" class="del"><span class="fas fa-trash"></span></button>
	      </div>
	      <div id="talent-{{id}}" style="display: none">
		<div class="description">{{system.description}}</div>
		<div class="rule">{{system.rule}}</div>
	      </div>
	    </li>
	    {{/if}}
	    {{/each}}
	  </ul>
	</div>
      </div>
      <div class="flexrow">
	<div class="skills flexcol">
	  <ul class="ability-scores">
	    <div class="flexrow">
	      <h2 class="flex3">{{ localize "DUNE.Skill" }}</h2>
	      <h2 class="flex3">{{ localize "DUNE.Focuses" }}</h2>
	    </div>
	    {{#each actor.system.Skills as |skill id|}}
	    <li class="ability flexrow" data-ability="{{id}}">
	      <label for="skill-{{id}}" class="flex2">{{localize (concat "DUNE.skills." id)}}</label>
	      <input class="ability-score flex1" name="system.Skills.{{id}}.max" type="number" value="{{skill.max}}" placeholder="4"/>
	      <input class="flex3" name="system.Skills.{{id}}.focuses" value="{{skill.focuses}}" placeholder="" type="text"/>
	    </li>
	    {{/each}}
	  </ul>
	</div>
	<div class="assets second">
	  <div>
	    <h2>{{ localize "DUNE.Assets" }}
	      <span class="btn add-asset"><i class="fas fa-plus"></i></span></h2>
	    {{#each actor.items }}
	    {{#if (eq type "asset")}}
	    <li class="asset flexrow">
	      <input name="items[{{id}}].name" value="{{name}}" type="text">
	      <input name="items[{{id}}].system.quality" value="{{actor.system.quality}}" type="number"
		     title="{{ localize 'DUNE.items.quality' }}">
	      <input type="checkbox" name="items[{{id}}].system.temporary" {{#if actor.system.temporary}}checked{{/if}}
		     title="{{#if actor.system.temporary}}{{ localize 'DUNE.temporary' }}{{else}}{{ localize 'DUNE.permanent' }}{{/if}}">
	      <button data="{{id}}"><span class="fas fa-trash"></span></button>
	    </li>
	    {{/if}}
	    {{/each}}
	  </div>
	</div>
      </div>
      <div class="experience flexrow" style="margin-top: 1em">
	<div class="flexcol">
	  <div class="flexrow">
	    <label for="xp-input" class="flexcol">{{ localize "DUNE.XP" }}</label>
	    <input name="system.resources.xp.value" class="flexcol" type="text" value="{{actor.system.resources.xp.value}}" placeholder="0" data-dtype="Number" id="xp-input"/>
	  </div>
	</div>
	<div class="flexcol second">
	  <div class="flexrow">
	    <label for="determination-input" class="flexcol">{{ localize "DUNE.Determination" }}</label>
	    <input name="system.resources.determination.value" class="flexcol" type="text" value="{{actor.system.resources.determination.value}}" placeholder="0" data-dtype="Number" id="determination-input" max="{{actor.system.resources.determination.max}}"/>
	  </div>
	</div>
      </div>
    </div>
    {{!-- Biography Tab --}}
    <div class="tab flexcol biography" data-group="primary" data-tab="biography">
      <h1 style="flex: 0">Biography</h1>
      {{editor actor.system.details.biography.value target="system.details.biography.value" button=true owner=owner editable=editable}}
    </div>
  </section>
</form>
</div>
